library("sf")
library("dplyr")
plats <- st_read(
  dsn = "./data-raw/PlatBoundary/",
  layer = "PlatBoundary"
) %>% 
  st_transform(4326) %>% 
  filter(max_sub_id %in% c("8120", "8113", "8171", "8195", "8221",
  "8163", "8240", "8159", "8149", "8110", "8254", "8215", "8143")) %>% 
  mutate(sub_name = stringr::word(sub_name, 1, 3),
         sub_name = gsub(" OF", "", sub_name),
         sub_name = gsub(" ST")) %>% 
  select(max_sub_id, sub_name, pb_pg, acre, acre, geometry)
st_write(plats, "./data/plats/plats.shp", append = FALSE)
